%define	prel	rc4dev

Summary:	FALF audio player
Name:		falf
Version:	1.0
Release:	%mkrel 0.%{prel}.7
License:	GPL
Group:		Sound
Url:		http://sourceforge.net/projects/falf/
Source0:	http://downloads.sourceforge.net/falf/falf-%{version}%prel.tar.bz2
Patch0:		%{name}-fix-menu.patch
BuildRequires:	libqt-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libxine-devel
BuildRequires:	libtaglib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
FALF is a smart, compact, light and comfortable
audio player with tabbed playlists.

%prep
%setup -qn %{name}-%{version}%{prel}
%patch -p1 -b .%{name}-fix-menu

export QTDIR=/usr/lib/qt3/
qmake falf.pro -o Makefile

%build
export QTDIR=/usr/lib/qt3/

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16/apps,22x22/apps,32x32/apps,48x48/apps,64x64/apps,128x128/apps}
mkdir -p %{buildroot}%{_datadir}/locale/{pl,es,it,nl,zh_CN,cs}/LC_MESSAGES
mkdir -p %{buildroot}%{_datadir}/applications

install bin/falf %{buildroot}%{_bindir}/falf
install icons/16x16/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install icons/22x22/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
install icons/32x32/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install icons/48x48/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install icons/64x64/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install icons/128x128/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install applnk/%{name}.desktop %{buildroot}%{_datadir}/applications/
install applnk/%{name}_mnu.desktop %{buildroot}%{_datadir}/applications/
msgfmt po/pl/falf.po -o %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/falf.mo
msgfmt po/es/falf.po -o %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/falf.mo
msgfmt po/it/falf.po -o %{buildroot}%{_datadir}/locale/it/LC_MESSAGES/falf.mo
msgfmt po/nl/falf.po -o %{buildroot}%{_datadir}/locale/nl/LC_MESSAGES/falf.mo
msgfmt po/zh_CN/falf.po -o %{buildroot}%{_datadir}/locale/zh_CN/LC_MESSAGES/falf.mo
msgfmt po/cs/falf.po -o %{buildroot}%{_datadir}/locale/cs/LC_MESSAGES/falf.mo

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%attr(755,root,root) %{_bindir}/falf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_mnu.desktop
%{_datadir}/icons/hicolor/16x16/apps/falf.png
%{_datadir}/icons/hicolor/22x22/apps/falf.png
%{_datadir}/icons/hicolor/32x32/apps/falf.png
%{_datadir}/icons/hicolor/48x48/apps/falf.png
%{_datadir}/icons/hicolor/64x64/apps/falf.png
%{_datadir}/icons/hicolor/128x128/apps/falf.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog
* Mon Feb 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.7mdv2007.0
+ Revision: 125831
- new snapshot
- remove %%find_lang, all locales should be now installed

* Wed Feb 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.5mdv2007.1
+ Revision: 120693
- fixed upstream bug #28700

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.4mdv2007.1
+ Revision: 114317
- new snapshot

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.3mdv2007.1
+ Revision: 111971
- new snapshot

* Mon Jan 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.2mdv2007.1
+ Revision: 109212
- new snapshot

* Sat Jan 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.1mdv2007.1
+ Revision: 104675
- updated to recent snapshot
- fix translations path

* Sun Dec 31 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc3.1mdv2007.1
+ Revision: 102899
- update to rc3

* Fri Dec 29 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.4mdv2007.1
+ Revision: 102629
- fix translations path

* Wed Dec 13 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.3mdv2007.1
+ Revision: 96339
- fix icons path

* Mon Dec 11 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.2mdv2007.1
+ Revision: 94736
- fix %%postin and %%postun scripts

* Sun Dec 10 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.1mdv2007.1
+ Revision: 94548
- add export QTDIR
- fix qmake path
- Import falf

